<?php
/*****************************************************************
*        DO NOT REMOVE                                           *
*        =============                                           *
*VetClinic Management Software                                   *
*Copyrighted 2015-2016 by Michael Avila                          *
*Distributed under the terms of the GNU General Public License   *
*This program is distributed in the hope that it will be useful, *
* but WITHOUT ANY WARRANTY; without even the implied warranty of *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
*****************************************************************/
$resetMsg = 'Are you sure you want to delete all of the databases?';
$pageMsg = 'vetclinic Database Reset';

$user = '';
$password = '';

echo '<!DOCTYPE html>';
echo '<html>';
echo '<head><meta charset="utf-8"><title>' . $pageMsg . '</title></head>';
echo '<body><h2>' . $pageMsg . '</h2>';

if ( !empty($_POST) ) {
   $user = trim($_POST['user']);
   $password = trim($_POST['pass']);
   resetSystem();
}

if ( file_exists('password.txt') ) {
   // The file is present, so try to use it!
   require_once 'password.txt';
   resetSystem();
}
else {
   // File NOT found, so provide a form.
   echo '<form method="post" action="' . $_SERVER['PHP_SELF'] . '" onsubmit="return confirm(\'' . $resetMsg . '\');">';
   echo '<div>DB user: <input id="user" name="user" type="text"></div><br>';
   echo '<div>DB pass: <input id="pass" name="pass" type="password"></div><br>';
   echo '<div><input id="resetDB" name="resetDB" type="submit" value="Reset DB"></div>';
   echo '</form><br>';
}

echo '</body></html>';

function resetSystem() {
    global $user, $password;

    $mysqli = @new mysqli('localhost', $user, $password, '');

    if ( $mysqli->connect_errno ) {
        echo 'Connectivity trouble: ' . $mysqli->connect_error;
    }
    else {
        echo 'Resetting system...<br><br>';

        $dbList = array('vetclinicsys', 'vetclinicproc', 'vetclinic', 'vetcliniccorp',
                        'vetclinicinv', 'vetclinicvendor', 'vetclinicapptclinic',
                        'vetclinicapptboard', 'vetclinicapptgroom', 'vetclinicdocmgmt',
                        'vetclinicinvoices', 'vetcliniclang', 'venom', 'vetclinicmsgs', 'vetclinicreg');

        $total = count( $dbList );

        for ( $i = 0; $i < $total; $i++ ) {
            $sql = 'DROP DATABASE IF EXISTS `' . $dbList[$i] . '`;';

            print '<div>Dropping database: ' . $dbList[$i] . ' ...';

            if ( $mysqli->query( $sql ) === TRUE ) {
                print 'done.';
            }

            print '</div>';
        }

        echo '<br>Reset complete!<br><br>';
    }
}
/*
DROP DATABASE `vetcliniccorp`;
DROP DATABASE `vetclinicappt`;
DROP USER 'username'@'localhost';

CREATE DATABASE IF NOT EXISTS `vetclinicsys`;
CREATE DATABASE IF NOT EXISTS `vetclinicproc`;
CREATE DATABASE IF NOT EXISTS `vetclinic`;
CREATE DATABASE IF NOT EXISTS `vetcliniccorp`;
CREATE DATABASE IF NOT EXISTS `vetcliniclang`;
CREATE DATABASE IF NOT EXISTS `vetclinicinvoices`;
CREATE DATABASE IF NOT EXISTS `vetclinicinv`;
CREATE DATABASE IF NOT EXISTS `vetclinicdocmgmt`;
CREATE DATABASE IF NOT EXISTS `vetclinicapptgroom`;
CREATE DATABASE IF NOT EXISTS `vetclinicapptclinic`;
CREATE DATABASE IF NOT EXISTS `vetclinicapptboard`;
CREATE DATABASE IF NOT EXISTS `vetclinicvendor`;
CREATE DATABASE IF NOT EXISTS `venom`;
*/
?>